"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'nordichd',
    name: 'NORDiCHD',
    description: 'NORDiCHD is a Mixed Nordic HD Tracker which Encodes a lot of Tv shows and Movies',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['http://www.nordichd.eu/'],
    caps: {
        categorymappings: [
            { id: '37', cat: 'Movies/HD', desc: 'Internal/HD-1080p' },
            { id: '17', cat: 'Movies/HD', desc: 'Internal/HD-720p' },
            { id: '30', cat: 'TV/HD', desc: 'Internal/HDTV' },
            { id: '15', cat: 'Movies/HD', desc: 'Internal/mHD' },
            { id: '40', cat: 'Movies/SD', desc: 'Internal/Mp4' },
            { id: '26', cat: 'Movies', desc: 'Internal/Remux' },
            { id: '45', cat: 'Movies/WEBDL', desc: 'Internal/WEB-DL' },
            { id: '25', cat: 'Movies/3D', desc: 'Movies/3D-Ou' },
            { id: '16', cat: 'Movies/3D', desc: 'Movies/3D-SbS' },
            { id: '5', cat: 'Movies/BluRay', desc: 'Movies/BluRay' },
            { id: '38', cat: 'Movies/HD', desc: 'Movies/HD-1080p' },
            { id: '10', cat: 'Movies/HD', desc: 'Movies/HD-720p' },
            { id: '29', cat: 'Movies/HD', desc: 'Movies/mHD' },
            { id: '41', cat: 'Movies/SD', desc: 'Movies/Mp4' },
            { id: '39', cat: 'Movies', desc: 'Movies/Remux' },
            { id: '44', cat: 'Movies/WEBDL', desc: 'Movies/WEB-DL' },
            { id: '23', cat: 'Audio/Lossless', desc: 'Lossless' },
            { id: '14', cat: 'Audio/MP3', desc: 'MP3-Packs' },
            { id: '22', cat: 'Audio/MP3', desc: 'Music-MP3' },
            { id: '43', cat: 'Audio/Video', desc: 'Music/1080p' },
            { id: '42', cat: 'Audio/Video', desc: 'Music/720p' },
            { id: '12', cat: 'TV/HD', desc: 'HDTV-Packs' },
            { id: '21', cat: 'TV/HD', desc: 'HDTV-Movies' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            action: 'login',
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            submitme: 'LOGIN',
            returnto: '/',
        },
        error: [
            { selector: 'td.embedded:has(h2:contains("failed"))' },
            { selector: 'td.embedded:has(h2:contains("Error"))' },
        ],
        test: {
            path: 'index.php',
            selector: 'a[href^="logout.php?hash_please="]',
        },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            searchin: 'title',
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table[border="1"][cellpadding=5] > tbody > tr:has(a[href^="download.php?torrent="])',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            banner: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: 'src="(.*?)"' },
                    { name: 'replace', args: ['./pic/noposter.png', ''] },
                ],
            },
            files: { selector: 'td:nth-last-child(7)' },
            date: {
                selector: 'td:nth-last-child(5):not(:contains("day"))',
                optional: true,
                filters: [{ name: 'dateparse', args: 'Jan 2 2006 03:04 PM' }],
            },
            size: { selector: 'td:nth-last-child(4)' },
            grabs: {
                selector: 'td:nth-last-child(3)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(2)' },
            leechers: { selector: 'td:nth-last-child(1)' },
            downloadvolumefactor: { case: { 'tr.freeleech_color': 0, '*': 1 } },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
